Usage of Paint

The main operating elements fromPaint for ReactOS are thecolor Palette, the toolbox and the field for thetool settings. These controls can not be operated from the keyboard , but only via the mouse without the help of the keyboard mouse.

The following is a screenshot of the main window, in which said elements are marked in red and labeled .

Color Palette

About the Color Palette select the foreground and background color used to paint. Click with the left mouse button on a color in the palette, this is set as the foreground color . If you click with the right mouse button, it is set as the background color . You can change the color at the corresponding position in the palette by double-clicking with the left or right mouse button .

Toolbox
About the Toolbox You can click Select your drawing tool . An overview of the available tools in chapter Tools in Paint. Each tool brings his own tool settings with it .

Tool Settings
Many tools allow you to make advanced settings . To do this, use the box below theToolbox. For a list of all possible settings of all tools in Chapter Tool Settings.


Tools in Paint

Paint for ReactOS provides them to edit their numerous images Tools available. To select one of the tools, please click on the appropriate icon in the Toolbox, which is usually located on the left side of the window. The following is a list of your available tools, each with a brief description.

Tool | Description
 | The Free Choice allows you to select any area of the image . Press in the figure at the left mouse button and you drive around the area that you select with the mouse button pressed down . When you release the mouse button , the area now automatically in a closed selection.
 | The Rectangular Selection ermöglicht es Ihnen, im Bild einen beliebigen rechteckigen Bereich auszuwählen. Drücken Sie dazu im Bild die linke Maustaste und ziehen Sie die Maus zur diagonal gegenüberliegenden Seite des gewünschten Rechtecks. Wenn Sie die Maustaste loslassen, erscheint sie soeben erstellte Auswahl.
 | Der Radierer erlaubt es Ihnen, mit der Hintergrundfarbe zu Malen, um Teile des Bildes zu löschen. Möchten Sie das gesamte Bild löschen, verwenden Sie bitte den Menüeintrag Bild löschen im Menü Bild.*
 | Mit dem Füllwerkzeug können Sie einfarbige Flächen einfärben. Klicken Sie dazu an eine beliebige Stelle in der Fläche.*
 | Die Pipette lässt Sie die Farbe an einer bestimmten Position im Bild aufnehmen. Klicken Sie dazu an die Stelle im Bild. Wenn Sie die Maustaste loslassen, wird die aktuelle Vorder-/Hintergrundfarbe auf die Farbe des angeklickten Pixels gesetzt.*
 | Mit dem Vergrößerungswerkzeug können Sie die Ansicht des Bildes vergrößern (Linksklick) und verkleinern (Rechtsklick).
 | Der Stift zeichnet einen dünnen Strich entlang der Linie, die Sie bei gedrückter Maustaste mit der Maus fahren. Mit der jeweils anderen Maustaste können Sie den Zeichenvorgang jederzeit Abbrechen und das Bild zurücksetzen.*
 | Der Pinsel erweitert den Stift um die Möglichkeit, Zeichendicke und Zeichenform auszuwählen. Nähere Informationen hierzu entnehmen Sie bitte dem Kapitel Werkzeugeinstellungen.*
 | Die Sprühdose kann verwendet werden, um weit gestreute Linien zu zeichnen. Die Dichte der Linie ist dabei von der Geschwindigkeit abhängig mit der Sie die Maus bewegen.*
 | Textwerkzeug
 | Eine gerade Linie zeichnen Sie, indem Sie zunächst die linke Maustaste drücken, mit gedrückter Maustaste zum Zielpunkt fahren und dort die Maustaste wieder loslassen.*
 | Bezier-Kurve*
 | Um ein Rechteck zu zeichnen, Drücken Sie die linke Maustaste. Fahren Sie mit der Maus bei gedrückter Maustaste in die diagonal gegenüberliegende Ecke und lassen Sie die Maustaste los.*
 | Polygon*
 | Eine Ellipse zeichnen Sie, indem Sie mit der Maus, wie unter Rechteck beschrieben, die Diagonale des Außenrechtecks der Ellipse ziehen.*
 | The Rounded Rectangle verhält sich wie das Rechteck. Sie ziehen mit der Maus die Diagonale des Rechtecks, das Sie zeichnen möchten.*

* This tool can also be used with the right mouse button . Foreground and background color to be used in this case interchanged .

Many tools allow additional settings. For a list of these settings, please refer to chapter Tool Settings.


Werkzeugeinstellungen

Im Kapitel Werkzeuge in Paint wurden die Werkzeuge, die Ihnen in Paint für ReactOS zur Verfügung stehen, kurz vorgestellt. Einige von ihnen erlauben weitere Einstellungen, um z.B. Liniendicke, Pinselart u.Ä. genauer steuern zu können.

Option | Beschreibung
 | Transparenz - Die obere Einstellung steht für nicht transparent, die untere steht für transparent. Bei den Auswahlwerkzeugen bewirkt die transparente Einstellung, dass Stelen in der Auswahl, die der Hintergrundfarbe entsprechen, nicht gezeichnet werden. Das Bild dahinter scheint daher durch. Beim Textwerkzeug wird standardmäßig ein Rechteck in der Hintergrundfarbe unter den Text gelegt. Bei der transparenten Einstellung hingegen wird der Text direkt auf das Bild geschrieben.
 | Radiererbreite - Lässt Sie die Breite des Radierwerkzeuges wählen. Die Kästchen entsprechen 4, 6, 8 und 10 Pixeln.
 | Pinselstil - Wählen Sie eine der abgebildeten Pinselformen. Das Pinselwerkzeug zeichnet von nun an mit der gewählten Form.
 | Sprühradius - Wählen Sie in dem Feld den Sprühradius aus, den Sie fortan mit der Sprühdose verwenden möchten.
 | Linienbreite - Aus diesem Feld können Sie per Mausklick eine Linienbreite zwischen 1 und 5 Pixeln auswählen. Diese Einstellung beeinflusst die Werkzeuge Linie, Bezier-Kurve, Rechteck, Polygon, Ellipse und abgerundetes Rechteck.
 | Füllart - Aus diesem Feld können Sie eine von drei Füllarten auswahlen. Bei der ersten Einstellung wird nur der Rahmen gezeichnet. Die zweite Einstellung füllt zudem den Innenraum der Form mit der aktuellen Hintergrundfarbe. Die dritte Einstellung zeichnet eine ausgefüllte Form in der Vordergrundfarbe ohne Rahmen. Diese Einstellungen wirken sich auf das Rechteck, das Polygon, die Ellipse und das abgerundete Rechteck aus.